<div class="card shadow-sm">
  <img [src]="imgUrl" (error)="imgUrl = defaultImg" class="card-img-top" alt="Image de l'article">
  <div class="card-body">
    <h3>{{post?.title}}</h3>
    <p class="card-text">{{post?.text}}</p>
    <div class="d-flex justify-content-between align-items-center">
            <div class="btn-group  d-none d-md-block">    
        <a [routerLink]="['/post/view',post?.id]" class="btn btn-sm btn-outline-secondary ">Voir</a>
        <a [routerLink]="['/post/edit',post?.id]" class="btn btn-sm btn-outline-secondary">Editer</a>
        <button *ngIf="user=='admin'" (click)="deletePost()" type="button"
          class="btn btn-sm btn-outline-secondary stretched-link">X</button>
      </div>
      <button type="button" (click)="displayByCategory(post?.category?.id)" name="category"
        class="btn btn-link text-success">{{post?.category?.label}}</button>
      <small class="text-muted">{{post?.date|date: 'dd/MM/yyyy'}}</small>
    </div>
  </div>
</div>